> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/git/update-project/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update a project in Git PUT https://example.itential.io/git/{gitType}/repos/{repoPath}/branches/{branchName}/projects/{projectPath} Content-Type: application/json Updates a project in Git. Reference: https://docs.itential.com/itential-cloud/api-reference/git/update-project ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `gitType` (enum, required) — The name of the Git provider that is used - Allowed values: `GitHub`, `GitLab` - `repoPath` (string, required) — The path in Git to the repository - `branchName` (string, required) — The name of the branch that is used. - `projectPath` (string, required) — The file path within a Git repository to a project file ### Body (application/json) This endpoint expects an object. - `project` (object, optional) - `commitMessage` (string, optional) — The commit message sent to Git when updating a project ## Response ### 200 The result of updating a project in Git - `message` (string, optional) - `data` (object, optional) — The project document pushed to Git ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "message": "Successfully updated project", "data": {} } ``` **SDK Code** ```python import requests url = "https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath" payload = {} headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath'; const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/git/GitHub/repos/repoPath/branches/branchName/projects/projectPath")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```